org.eclipse.emf.cdo.server.db

## Interface IPreparedStatementCache

- Deprecated.
  As of 4.2 use `IDBConnection`.

      @Deprecated
      public interface IPreparedStatementCache

  Caches JDBC `statements` according to given `reuse probabilities`.
  Since:
    2.0
  Author:
    Stefan Winkler
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IPreparedStatementCache.ReuseProbability` Deprecated. An enum for the degree of probability to which a prepared statement is reused later on.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `PreparedStatement` | `getPreparedStatement(String sql, IPreparedStatementCache.ReuseProbability reuseProbability)` Deprecated.
    `void` | `releasePreparedStatement(PreparedStatement ps)` Deprecated.
    `void` | `setConnection(Connection connection)` Deprecated.

- - ### Method Detail

    - #### setConnection

          void setConnection(Connection connection)

      Deprecated.

    - #### getPreparedStatement

          PreparedStatement getPreparedStatement(String sql,
                                                 IPreparedStatementCache.ReuseProbability reuseProbability)

      Deprecated.

    - #### releasePreparedStatement

          void releasePreparedStatement(PreparedStatement ps)

      Deprecated.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html